SimpleFloatFunction (Solr 3.6.2 API)
Keywords: org.apache.solr.search.function.SimpleFloatFunction class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search.function
Class SimpleFloatFunction

    java.lang.Object
      org.apache.solr.search.function.ValueSource
          org.apache.solr.search.function.SingleFunction
              org.apache.solr.search.function.SimpleFloatFunction

All Implemented Interfaces:
  Serializable

    public abstract class SimpleFloatFunction

extends SingleFunction

A simple float function with a single argument

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.solr.search.function.SingleFunction
`source`

Constructor Summary
`SimpleFloatFunction(ValueSource source)`

Method Summary
`protected abstract float` | `func(int doc, DocValues vals)`
`DocValues` | `getValues(Map context, IndexReader reader)` Gets the values for this reader and the context that was previously passed to createWeight()

Methods inherited from class org.apache.solr.search.function.SingleFunction
`createWeight, description, equals, hashCode, name`

Methods inherited from class org.apache.solr.search.function.ValueSource
`getSortField, getValues, newContext, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleFloatFunction

    public SimpleFloatFunction(ValueSource source)

Method Detail

### func

    protected abstract float func(int doc,
                                  DocValues vals)

### getValues

    public DocValues getValues(Map context,
                               IndexReader reader)
                        throws IOException

  Description copied from class: `ValueSource`
  Gets the values for this reader and the context that was previously passed to createWeight()

  Overrides:
    `getValues` in class `ValueSource`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD